<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://scoutech.com.br
 * @since      1.1.0
 *
 * @package    ScoutSportsBR
 * @subpackage ScoutSportsBR/admin/partials
 */
?>


<div class="wrap">

	<div id="icon-options-general" class="icon32"></div>
	<h1><?php esc_attr_e( esc_html(get_admin_page_title()), 'wp_admin_style' ); ?></h1>

	<div id="poststuff">

		<div id="post-body" class="metabox-holder columns-2">

			<!-- main content -->
			<div id="post-body-content">

				<div class="meta-box-sortables ui-sortable">

					<div class="postbox">

						<div class="handlediv" title="Click to toggle"><br></div>
						<!-- Toggle -->

						<h2 class="hndle"><span><?php esc_attr_e( 'Scout Sports plugin', 'wp_admin_style' ); ?></span></h2>

						<div class="inside container">

							<p>Use o shortcode <strong><span class="regular-text code">[scoutsportsbr]</span></strong> para incluir a tabela em posts, páginas ou widgets.</p>
							<p>Existem ações e variáveis que precisam ser incluídas no shortcode, e elas estão explicadas no link a seguir: <strong><a href="http://julianromero.ca/pt/scout-sports/" target=_blank>julianromero.ca/pt/scout-sports/</a></strong>.</p>
							<form method="post" name="cleanup_options" action="options.php">
								<?php
									//Grab all options
									$plugin_geral = new ScoutSportsBR();
									$this->default_values=$plugin_geral->define_default_values();
									$options = get_option($this->plugin_name,$this->default_values);
									settings_fields($this->plugin_name);
									do_settings_sections($this->plugin_name);
//print_r($options);
								?>

								<fieldset>
									<legend><strong>Campeonatos Disponíveis</strong></legend>
									<div class="form-group">
									<div id="<?php echo $this->plugin_name; ?>-lista-de-campeonatos">
									<select name="<?php echo $this->plugin_name; ?>[id-campeonato]" id="<?php echo $this->plugin_name; ?>-select-campeonatos" class="<?php echo $this->plugin_name; ?>-lista">
									</select></div>
									<script>
									var div_tabela = "#<?php echo $this->plugin_name; ?>-lista-de-campeonatos";
									var $select = jQuery('#<?php echo $this->plugin_name; ?>-select-campeonatos');
									<?php if (isset($options["id-campeonato"])) { ?> var $idcampeonato = <?php echo $options["id-campeonato"]; ?>;
									<?php } else { ?> var $idcampeonato = 0; <?php } ?>
									if (typeof jQuery == "undefined") {
										alert("jQuery não está carregado, ele é essencial para o funcionamento da tabela...");
									} else {
										jQuery.ajax({
											url: "http://scoutech.com.br/webservice/",
											data: "lista-de-campeonatos",
											error: function() {
												jQuery(div_tabela).html("<h2>Não foi possível gerar a tabela de lista de campeonatos, desculpem-nos. <a href=mailto:jromero@swim.com.br>Comunique o programador</a>.</h2>");
											},
											dataType: "json",
											success: function(data) {
												jQuery.each(data,function(key, value)
												{
													$select.append(jQuery('<option></option>').attr('value', key).text(value.nomecampeonato+' ['+key+']'));
												});
												$select.val($idcampeonato);
											},
											type: "GET"
										});

									}
									</script>
									</div>

<?
/*
									<p><legend class="screen-reader-text"><span>Ranking</span></legend>
									<label for="<?php echo $this->plugin_name; ?>-exibir-artilharia-ranking">
										<input type="checkbox" id="<?php echo $this->plugin_name; ?>-exibir-artilharia-ranking" name="<?php echo $this->plugin_name; ?>[exibir-artilharia-ranking]" value="1" <?php checked($options["exibir-artilharia-ranking"], 1); ?> />
										<span><?php _e('Exibir coluna de ranking?', $this->plugin_name); ?></span>
									</label></p>

									<p><legend class="screen-reader-text"><span>Atleta</span></legend>
									<label for="<?php echo $this->plugin_name; ?>-exibir-artilharia-atleta">
										<input type="checkbox" id="<?php echo $this->plugin_name; ?>-exibir-artilharia-atleta" name="<?php echo $this->plugin_name; ?>[exibir-artilharia-atleta]" value="1" <?php checked($options["exibir-artilharia-atleta"], 1); ?> />
										<span><?php _e('Exibir coluna do nome do jogador?', $this->plugin_name); ?></span>
									</label>
									<label for="<?php echo $this->plugin_name; ?>-exibir-artilharia-foto-atleta">
										<input type="checkbox" id="<?php echo $this->plugin_name; ?>-exibir-artilharia-foto-atleta" name="<?php echo $this->plugin_name; ?>[exibir-artilharia-foto-atleta]" value="1" <?php checked($options["exibir-artilharia-foto-atleta"], 1); ?> />
										<span><?php _e('Exibir foto do jogador?', $this->plugin_name); ?></span>
									</label></p>

									<p><legend class="screen-reader-text"><span>Equipe</span></legend>
									<label for="<?php echo $this->plugin_name; ?>-exibir-artilharia-equipe">
										<input type="checkbox" id="<?php echo $this->plugin_name; ?>-exibir-artilharia-equipe" name="<?php echo $this->plugin_name; ?>[exibir-artilharia-equipe]" value="1" <?php checked($options["exibir-artilharia-equipe"], 1); ?> />
										<span><?php _e('Exibir coluna da equipe do jogador?', $this->plugin_name); ?></span>
									</label>
									<label for="<?php echo $this->plugin_name; ?>-exibir-artilharia-foto-equipe">
										<input type="checkbox" id="<?php echo $this->plugin_name; ?>-exibir-artilharia-foto-equipe" name="<?php echo $this->plugin_name; ?>[exibir-artilharia-foto-equipe]" value="1" <?php checked($options["exibir-artilharia-foto-equipe"], 1); ?> />
										<span><?php _e('Exibir brasão/logomarca da equipe?', $this->plugin_name); ?></span>
									</label></p>

									<p><legend class="screen-reader-text"><span>Gols</span></legend>
									<label for="<?php echo $this->plugin_name; ?>-exibir-artilharia-gols">
										<input type="checkbox" id="<?php echo $this->plugin_name; ?>-exibir-artilharia-gols" name="<?php echo $this->plugin_name; ?>[exibir-artilharia-gols]" value="1" <?php checked($options["exibir-artilharia-gols"], 1); ?> />
										<span><?php _e('Exibir coluna de gols?', $this->plugin_name); ?></span>
									</label></p>
*/
?>

								</fieldset>


								<?php //submit_button('Salvar opções', 'primary','submit', TRUE); ?>

							</form>



						</div>
						<!-- .inside -->

					</div>
					<!-- .postbox -->

				</div>
				<!-- .meta-box-sortables .ui-sortable -->

			</div>
			<!-- post-body-content -->

			<!-- sidebar -->
			<div id="postbox-container-1" class="postbox-container">

				<div class="meta-box-sortables">

					<div class="postbox">

						<div class="handlediv" title="Click to toggle"><br></div>
						<!-- Toggle -->

						<h2 class="hndle"><span><?php esc_attr_e(
									'Sobre', 'wp_admin_style'
								); ?></span></h2>

						<div class="inside">
<?php echo '<p align="center"><a href="http://www.scoutsports.com.br/" target="_blank"><img src="' . plugins_url() . '/'. $this->plugin_name. '/images/scoutsports.gif" width="200" border="0"></a></p> '; ?>
							<p><strong>Scout Sports Soluções Esportivas</strong> é um plugin muito fácil de usar e configurar. Use os campos ao lado para ativar e configurar sua tabela de acordo com o que quer e clique em <i>Salvar</i>.</p>
<p>Depois, inclua o shortcode <strong><span class="regular-text code">[scoutsportsbr]</span></strong> no seu post ou página onde deseja exibir a tabela. Ela será exibida em full-width, utilizando toda a largura disponível do local onde foi incluída.</p>
<p>Obrigado por usar uma ferramenta <strong>Swim It Up!</strong>.</p>
<?php echo '<p align="center"><a href="https://www.swim.com.br/" target="_blank"><img src="' . plugins_url() . '/'. $this->plugin_name. '/images/swimitup.png" width="200" border="0"></a></p>'; ?>
						</div>
						<!-- .inside -->

					</div>
					<!-- .postbox -->

				</div>
				<!-- .meta-box-sortables -->

			</div>
			<!-- #postbox-container-1 .postbox-container -->

		</div>
		<!-- #post-body .metabox-holder .columns-2 -->

		<br class="clear">
	</div>
	<!-- #poststuff -->

</div> <!-- .wrap -->
