<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://scoutech.com.br
 * @since      1.1.0
 *
 * @package    ScoutSportsBR
 * @subpackage ScoutSportsBR/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    ScoutSportsBR
 * @subpackage ScoutSportsBR/includes
 * @author     Julian Romero <jromero@swim.com.br>
 */
class ScoutSportsBR_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'scoutsportsbr',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
