<?php

/**
 * Scout Sports Plugin
 *
 * @link              http://scoutsports.com.br
 * @since             1.17
 * @package           ScoutSportsBR
 *
 * @wordpress-plugin
 * Plugin Name:       Scout Sports Brasil - Soluções Esportivas
 * Plugin URI:        http://scoutech.com.br
 * Description:       Inclua tabelas de jogos, artilharia, perfil de jogadores e de times em sua página, configure e personalize.
 * Version:           1.17
 * Author:            Scout Sports + Swim It Up!
 * Author URI:        http://www.swim.com.br/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       scoutsportsbr
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'PLUGIN_NAME_VERSION', '1.17' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-scoutsportsbr-activator.php
 */
function activate_scoutsportsbr() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-scoutsportsbr-activator.php';
	ScoutSportsBR_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-scoutsportsbr-deactivator.php
 */
function deactivate_scoutsportsbr() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-scoutsportsbr-deactivator.php';
	ScoutSportsBR_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_scoutsportsbr' );
register_deactivation_hook( __FILE__, 'deactivate_scoutsportsbr' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-scoutsportsbr.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_ScoutSportsBR() {

	$plugin = new ScoutSportsBR();
	$plugin->run();

}
run_ScoutSportsBR();
